Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.filters
Class AllFilter

    java.lang.Object
      weka.filters.Filter
          weka.filters.AllFilter

All Implemented Interfaces:
  java.io.Serializable, CapabilitiesHandler, RevisionHandler, Sourcable

    public class AllFilter

extends Filter
implements Sourcable

A simple instance filter that passes all instances directly through. Basically just for testing purposes.

Version:
  $Revision: 5550 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`AllFilter()`

Method Summary
`Capabilities` | `getCapabilities()` Returns the Capabilities of this filter.
`java.lang.String` | `getRevision()` Returns the revision string.
`java.lang.String` | `globalInfo()` Returns a string describing this filter
`boolean` | `input(Instance instance)` Input an instance for filtering.
`static void` | `main(java.lang.String[] argv)` Main method for testing this class.
`boolean` | `setInputFormat(Instances instanceInfo)` Sets the format of the input instances.
`java.lang.String` | `toSource(java.lang.String className, Instances data)` Returns a string that describes the filter as source.

Methods inherited from class weka.filters.Filter
`batchFilterFile, batchFinished, filterFile, getCapabilities, getOutputFormat, isFirstBatchDone, isNewBatch, isOutputFormatDefined, makeCopies, makeCopy, numPendingOutput, output, outputPeek, toString, useFilter, wekaStaticWrapper`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AllFilter

    public AllFilter()

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Returns a string describing this filter

  Returns:
    a description of the filter suitable for displaying in the explorer/experimenter gui

### getCapabilities

    public Capabilities getCapabilities()

  Returns the Capabilities of this filter.

  Specified by:
    `getCapabilities` in interface `CapabilitiesHandler`
  Overrides:
    `getCapabilities` in class `Filter`
  Returns:
    the capabilities of this object
  See Also:
    `Capabilities`

### setInputFormat

    public boolean setInputFormat(Instances instanceInfo)
                           throws java.lang.Exception

  Sets the format of the input instances.

  Overrides:
    `setInputFormat` in class `Filter`
  Parameters:
    `instanceInfo` - an Instances object containing the input instance structure (any instances contained in the object are ignored - only the structure is required).
  Returns:
    true if the outputFormat may be collected immediately
  Throws:
    `java.lang.Exception` - if something goes wrong

### input

    public boolean input(Instance instance)

  Input an instance for filtering. Ordinarily the instance is processed and made available for output immediately. Some filters require all instances be read before producing output.

  Overrides:
    `input` in class `Filter`
  Parameters:
    `instance` - the input instance
  Returns:
    true if the filtered instance may now be collected with output().
  Throws:
    `java.lang.IllegalStateException` - if no input format has been defined.

### toSource

    public java.lang.String toSource(java.lang.String className,
                                     Instances data)
                              throws java.lang.Exception

  Returns a string that describes the filter as source. The filter will be contained in a class with the given name (there may be auxiliary classes), and will contain two methods with these signatures:

       // converts one row
       public static Object[] filter(Object[] i);
       // converts a full dataset (first dimension is row index)
       public static Object[][] filter(Object[][] i);

  where the array `i` contains elements that are either Double, String, with missing values represented as null. The generated code is public domain and comes with no warranty.

  Specified by:
    `toSource` in interface `Sourcable`
  Parameters:
    `className` - the name that should be given to the source class.
    `data` - the dataset used for initializing the filter
  Returns:
    the object source described by a string
  Throws:
    `java.lang.Exception` - if the source can't be computed

### getRevision

    public java.lang.String getRevision()

  Returns the revision string.

  Specified by:
    `getRevision` in interface `RevisionHandler`
  Overrides:
    `getRevision` in class `Filter`
  Returns:
    the revision

### main

    public static void main(java.lang.String[] argv)

  Main method for testing this class.

  Parameters:
    `argv` - should contain arguments to the filter: use -h for help

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD